User Read API

This API endpoint retrieves the details of a specific user using their user_id. To fetch the user information, make a GET request to the following URL:

Notice: Make sure the user_id is an urlencode string.

GET /v1/users/{user_id}

Replace {user_id} with the unique identifier of the user you wish to fetch.

Response Format

The API will return the user details in a JSON object if the given user_id is valid and exists in the system. The JSON object will include fields like name, age, city, gender , and other user information.

Example Response

Here's an example of a successful API response for a user with the user_id "user123":

{
    "message": "success",
    "data": {
        "user_id": "user123",
        "name": "johndoe",
        // ... other user details
    }
}

If the provided user_id is invalid or does not exist in the system, the API will return an error response with a status_code=404.

Example Error Response

{
    "message": "not found"
}
Path Parameters
  • user_id
Query Parameters
  • userId
    Type: string · Userid
    max length:  
    512
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/users/{user_id}
curl 'https://api.askmiso.com/v1/users/{user_id}?userId=&api_key=YOUR_SECRET_TOKEN'
{
  "message": "success",
  "data": {
    "user_id": "user_1234",
    "created_at": "2026-09-07T07:38:24.862Z",
    "updated_at": "2026-09-07T07:38:24.862Z",
    "name": "John Doe",
    "profile_image": "https://example.com",
    "age": 33,
    "gender": "M",
    "city": "Mountain View",
    "state": "California",
    "country": "US",
    "group_id": "Northwind Corp",
    "description": "Engineer from Northwind Corp",
    "custom_attributes": {
      "acquisition_channel": "Facebook Campaign 2020",
      "declared_interests": [
        "Drama",
        "Romance"
      ]
    }
  }
}